com.sun.jna.platform.win32

## Class Ddeml.CONVINFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Ddeml.CONVINFO

- Enclosing interface:
    Ddeml

      public static class Ddeml.CONVINFO
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cb`
    `Ddeml.CONVCONTEXT` | `ConvCtxt`
    `static java.util.List<java.lang.String>` | `FIELDS`
    `Ddeml.HCONVLIST` | `hConvList`
    `Ddeml.HCONV` | `hConvPartner`
    `Ddeml.HSZ` | `hszItem`
    `Ddeml.HSZ` | `hszServiceReq`
    `Ddeml.HSZ` | `hszSvcPartner`
    `Ddeml.HSZ` | `hszTopic`
    `BaseTSD.DWORD_PTR` | `hUser`
    `WinDef.HWND` | `hwnd`
    `WinDef.HWND` | `hwndPartner`
    `int` | `wConvst`
    `int` | `wFmt`
    `int` | `wLastError`
    `int` | `wStatus`
    `int` | `wType`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ddeml.CONVINFO()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` Return this Structure's field names in their proper order.
    `void` | `write()` Writes the fields of the struct to native memory

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIELDS

          public static final java.util.List<java.lang.String> FIELDS

    - #### cb

          public int cb

    - #### hUser

          public BaseTSD.DWORD_PTR hUser

    - #### hConvPartner

          public Ddeml.HCONV hConvPartner

    - #### hszSvcPartner

          public Ddeml.HSZ hszSvcPartner

    - #### hszServiceReq

          public Ddeml.HSZ hszServiceReq

    - #### hszTopic

          public Ddeml.HSZ hszTopic

    - #### hszItem

          public Ddeml.HSZ hszItem

    - #### wFmt

          public int wFmt

    - #### wType

          public int wType

    - #### wStatus

          public int wStatus

    - #### wConvst

          public int wConvst

    - #### wLastError

          public int wLastError

    - #### hConvList

          public Ddeml.HCONVLIST hConvList

    - #### ConvCtxt

          public Ddeml.CONVCONTEXT ConvCtxt

    - #### hwnd

          public WinDef.HWND hwnd

    - #### hwndPartner

          public WinDef.HWND hwndPartner

  - ### Constructor Detail

    - #### Ddeml.CONVINFO

          public Ddeml.CONVINFO()

  - ### Method Detail

    - #### write

          public void write()

      Description copied from class: `Structure`
      Writes the fields of the struct to native memory
      Overrides:
        `write` in class `Structure`

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`
      Returns:
        ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.